local SignPrize = {}
SignPrize.amount = 6
SignPrize.WarnEffect="placardbtnclew_sig"

SignPrize[1] = { prizeItemType = 3100013, needDays = 2,  monopoly = 0 }
SignPrize[2] = { prizeItemType = 3100014, needDays = 7,  monopoly = 0 }
SignPrize[3] = { prizeItemType = 3100015, needDays = 14, monopoly = 0 }
SignPrize[4] = { prizeItemType = 3100016, needDays = 21, monopoly = 0 }
SignPrize[5] = { prizeItemType = 3100017, needDays = 28, monopoly = 0 }
SignPrize[6] = { prizeItemType = 3100011, needDays = 1,  monopoly = 0 }

-- 清空数据接口
local function Unload()
   for k, v in pairs(SignPrize) do
      SignPrize[k] = nil
   end
   SignPrize = nil
   print("close signin.lua")
end

local function GetAmount()
    return SignPrize.amount
end

local function GetWarnEffect()
    return SignPrize.WarnEffect
end

local function GetItemType(nKeyIndex)
    local data = SignPrize[nKeyIndex]
    if (data) then
        return data.prizeItemType
    else
        return 0
    end
end

local function GetNeedDays(nKeyIndex)
    local data = SignPrize[nKeyIndex]
    if (data) then
        return data.needDays
    else
        return 0
    end
end

local function GetMonopoly(nKeyIndex)
    local data = SignPrize[nKeyIndex]
    if (data) then
        return data.monopoly
    else
        return 0
    end
end

local signin = {
    Unload = Unload,
    GetAmount = GetAmount,
    GetWarnEffect = GetWarnEffect,
    GetItemType = GetItemType,
    GetNeedDays = GetNeedDays,
    GetMonopoly = GetMonopoly,
}

-- C++程序使用的global函数名
signin_Unload = signin.Unload
signin_GetAmount = signin.GetAmount
signin_GetWarnEffect = signin.GetWarnEffect
signin_GetItemType = signin.GetItemType
signin_GetNeedDays = signin.GetNeedDays
signin_GetMonopoly = signin.GetMonopoly

-- require返回值
return signin